@font-face {
    font-family: 'New Railway';
    src: url("NewRailway.otf") format("otf");
    font-weight: normal;
    font-display: swap;
}

.new-railway {
    display: inline-block;
    font-family: "New Railway" !important;
    font-style: normal;
    font-weight: normal !important;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

/* 基础样式 */
body {
    font-family: 'HarmonyOS Sans SC', 'Noto Sans SC', 'Microsoft YaHei UI', '文泉驿微米黑', 'PingFang SC', sans-serif;
    background-color: rgb(191,228,255);
    margin: 0;
    padding: 0;
    color: #000;
    font-size: 20px;
    line-height: 1.5;
}

main {
    padding: 10px;
    display: -webkit-flex;
    display: flex;
    -webkit-gap: 10px;
    gap: 10px;
    flex-wrap: wrap;
    margin: 0 auto;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    min-height: calc(100vh - 96px)
}

header {
    background-color: rgb(0,90,255);
    color: #fff;
    padding: 4px 0 6px;
    text-align: center;
    font-size: 24px;
    border-bottom: 2px solid #fff;
    font-weight: bold;
    height: 32px;
}

h1 {
    font-size: 24px;
    font-family: 'HarmonyOS Sans SC', 'Noto Sans SC', 'Microsoft YaHei UI', '文泉驿微米黑', 'PingFang SC', sans-serif;
    margin: 0;
}

p {
    margin-block-start: 0.1em; margin-block-end: 0.1em; 
}

footer {
    background-color: #555;
    color: #fff;
    padding: 5px 0 5px;
    text-align: center;
    font-size: 16px;
    height: 22px;
}

/* 容器样式 */
.info-container {
    flex: 1 1 400px;
    display: -webkit-flex;
    display: flex;
    -webkit-gap: 10px;
    gap: 10px;
    flex-wrap: wrap;
    margin: 0 auto;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
}

/* 地区卡片样式 */
.region-card {
    flex: 1 1 auto;
    background: rgb(210,210,210);
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    min-height: fit-content;
    overflow: hidden;
}

.region-card:hover {
    /*transform: translateY(-5px);*/
    box-shadow: 0 8px 24px rgba(0,0,0,0.16);
}

/* 卡片头部 */
.card-header {
    padding: 5px 15px;
    background-color: #555;
    color: white;
    font-size: 22px;
    font-weight: bold;
    display: -webkit-flex;
    justify-content: space-between;
    align-items: center;
}

.announce-header {
    padding: 10px 15px;
    margin-top: 10px;
    background-color: #fff;
    color: rgb(255,75,0);
    font-size: 18px;
    font-weight: bold;
    display: -webkit-flex;
    justify-content: space-between;
    align-items: center;
}

/* 预警信息列表 */
.warning-list {
    padding: 10px;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-gap: 5px;
    gap: 5px;
}

/* 预警项样式 */
.warning-item {
    flex: 1 1 100%;
    transition: all 0.2s ease;
    background: rgb(230,230,230);
    border-radius: 6px;
    border-left: 6px solid transparent;
    padding: 10px 15px;
}

.warning-item-header {
    display: -webkit-flex;
    align-items: center;
    font-weight: bold;
}

.warning-icon {
    font-size: 30px;
    width: 36px;
    height: 36px;
    text-align: center;
    border-radius: 5px;
    margin-right: 5px;
    line-height: 1.25;
}

.forecast-icon {
    font-size: 24px;
    width: 30px;
    height: 30px;
    text-align: center;
    border-radius: 5px;
    line-height: 1.25;
    display: inline-block;
}

.warning-name {
    font-weight: bold;
    font-size: 24px;
    margin-left: 5px;
}

.warning-details {
    font-size: 16px;
    color: #333;
    line-height: 1.5;
    margin-top: 5px;
}

.status-tag {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 3px 8px;
    border-radius: 4px;
    font-size: 16px;
    margin-left: 8px;
    text-align: center;
}

.status-active {
    background-color: #fff;
    color: #333;
}

.status-pre {
    background-color: #fff;
    color: rgb(255,75,0);
}

.status-inactive {
    background-color: rgb(3,175,122);
    color: #fff;
}

.forecastTable {
    max-width: 100%;
    text-align: center;
    border-collapse: collapse;
    /*background-color: rgb(240,240,240);*/
    border: 1px solid rgb(160,160,160);
    border-radius: 5px;
}

.forecastTable th, .forecastTable td {
    border: 1px solid rgb(160,160,160);
	padding: 0 4px;
}

hr {
    width: 100%;
}

a {
    color: inherit;
    text-decoration: underline;
    text-decoration-skip-ink: auto;
    transition: all 0.2s ease;
}

a:visited {
    color: inherit;
}

a:hover, a:focus {
    color: rgb(255,75,0);
    text-shadow: 1px 1px 1px #fff, -1px -1px 1px #fff, -1px 1px 1px #fff, 1px -1px 1px #fff, 0px 1px 1px #fff, 0px -1px 1px #fff, -1px 0px 1px #fff, 1px 0px 1px #fff;
}

/* 响应式设计 */
@media (max-width: 800px) {
    main {
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        flex-wrap: nowrap;
    }

    .info-container {
        width: 100%;
        flex: 1 1 auto;
    }

    .region-card {
        flex: 1 1 auto;
        /* 移动端占满宽度 */
        min-width: unset;
        max-width: unset;
    }
}

/* 预警图标区域样式 */
.alert-icons {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
    background-color: rgb(200,200,200);
    border-radius: 6px;
    padding: 5px;
}

.alert-icon {
    font-size: 24px;
    gap: 2px;
    width: 50px;
    height: 35px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.3s ease;
    border: 3px solid transparent;
}

.alert-icon:hover {
    box-shadow: 0 0 5px rgba(0,0,0,0.5);
}

.alert-icon.active {
    border-color: #fff;
    box-shadow: 0 0 10px rgb(0,0,0);
}

/* 无预警提示样式 */
.no-alert {
    text-align: center;
    background-color: rgb(230,230,230);
    border-radius: 6px;
    padding: 5px;
    font-size: 18px;
}

.no-alert-content p i {
    color: rgb(3,175,122);
    font-size: 24px;
}

/* 预警详情区域样式 */
.alert-details {
    display: none;
    background: rgb(230,230,230);
    border-radius: 6px;
    padding: 10px 15px;
    border-left: 6px solid transparent;
}

.alert-details.active {
    display: block;
    animation: fadeIn 0.3s ease;
}

.alert-header {
    display: flex;
    align-items: center;
}

.alert-header i {
    font-size: 24px;
    margin-right: 10px;
}

.alert-title {
    font-size: 20px;
    font-weight: bold;
    margin: 0;
}

.alert-content {
    line-height: 1.6;
    font-size: 16px;
}

.alert-time {
    color: #555;
    font-size: 14px;
    margin-top: 5px;
    display: flex;
    gap: 0 10px;
    flex-wrap: wrap;
}

/* 动画效果 */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.asc::after {
    content: " ↑";
    color: rgb(0,65,255);
    font-weight: bold;
}

.desc::after {
    content: " ↓";
    color: rgb(255,40,0);
    font-weight: bold;
}

th {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

th:hover {
    background-color: #fff;
}

.not-sortable th {
    cursor: text;
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text;
    transition: none;
}

.not-sortable th:hover {
    background-color: inherit;
}

.chart-container {
    width: calc(100% - 38px);
    height: 400px;
    padding: 10px;
    transition: all 0.3s ease;
}

#lineChart {
    width: 100%!important;
    height: 400px!important;
}

.map {
    width: 100%!important;
    height: 400px!important;
    background-color: rgb(13,40,85);
	margin-top: 10px;
	margin-bottom: 10px;
}

.unknownIntensity {
    /*background-color: rgb(200,200,203);
    border: 1px solid RGB(153,134,56);*/
    border-radius: 3px;
    color: #000;
    background-color: rgb(77,196,255);
    border: 1px solid RGB(46,118,153);
    z-index: 194!important;
}
.tropicalDepression {
    /*background-color: rgb(160,210,255);
    border: 1px solid RGB(96,126,153);*/
    border-radius: 3px;
    color: #fff;
    background-color: rgb(132,145,158);
    border: 1px solid RGB(79,87,95);
    z-index: 195!important;
}
.tropicalStorm {
    /*background-color: rgb(33,140,255);
    border: 1px solid RGB(20,84,153);*/
    border-radius: 3px;
    color: #fff;
    background-color: rgb(3,175,122);
    border: 1px solid RGB(2,105,73);
    z-index: 196!important;
}
.severeTropicalStorm {
    /*background-color: rgb(0,65,255);
    border: 1px solid RGB(0,39,153);*/
    border-radius: 3px;
    color: #fff;
    background-color: rgb(0,65,255);
    border: 1px solid RGB(0,39,153);
    z-index: 197!important;
}
.typhoon {
    background-color: rgb(255,40,0);
    border: 1px solid RGB(153,24,0);
    border-radius: 3px;
    color: #fff;
    z-index: 198!important;
}
.severeTyphoon {
    /*background-color: rgb(255,40,0);
    border: 1px solid RGB(153,24,0);*/
    border-radius: 3px;
    color: #000;
    background-color: rgb(255,128,130);
    border: 1px solid RGB(153,77,78);
    z-index: 199!important;
}
.superTyphoon {
    /*background-color: rgb(200,0,255);
    border: 1px solid RGB(120,0,153);*/
    border-radius: 3px;
    color: #fff;
    background-color: rgb(153,0,153);
    border: 1px solid RGB(92,0,92);
    z-index: 200!important;
}

.unknownIntensity.lightColor {
    border-color: RGB(202,237,255);
}
.tropicalDepression.lightColor {
    border-color: RGB(224,230,236);
}
.tropicalStorm.lightColor {
    border-color: RGB(179,255,232);
}
.severeTropicalStorm.lightColor {
    border-color: RGB(179,198,255);
}
.typhoon.lightColor {
    border-color: RGB(255,191,179);
}
.severeTyphoon.lightColor {
    border-color: RGB(255,217,218);
}
.superTyphoon.lightColor {
    border-color: RGB(255,178,255);
}

.unknownIntensity-filter {
    filter: drop-shadow(0 0 3px RGB(202,237,255));
}
.tropicalDepression-filter {
    filter: drop-shadow(0 0 3px RGB(224,230,236));
}
.tropicalStorm-filter {
    filter: drop-shadow(0 0 3px RGB(179,255,232));
}
.severeTropicalStorm-filter {
    filter: drop-shadow(0 0 3px RGB(179,198,255));
}
.typhoon-filter {
    filter: drop-shadow(0 0 3px RGB(255,191,179));
}
.severeTyphoon-filter {
    filter: drop-shadow(0 0 3px RGB(255,217,218));
}
.superTyphoon-filter {
    filter: drop-shadow(0 0 3px RGB(255,178,255));
}

.current-circle {
    border-color: #fff;
	z-index: 300!important;
	text-align: center;
}

.icon-wide-border {
    border-width: 2px;
	border-radius: 999px;
}

.forecast-border {
    border-color: #fff;
}

.intensity0 {
    color: #000;
    background-color: rgb(200,200,203);
    border: 1px solid RGB(120,120,122);
    border-radius: 3px;
    z-index: 189!important;
}
.intensity1 {
    color: #fff;
    background-color: rgb(107,107,120);
    border: 1px solid RGB(64,64,72);
    border-radius: 3px;
    z-index: 189!important;
}
.intensity2 {
    color: #000;
    background-color: rgb(160,210,255);
    border: 1px solid RGB(96,126,153);
    border-radius: 3px;
    z-index: 190!important;
}
.intensity3 {
    color: #fff;
    background-color: rgb(33,140,255);
    border: 1px solid RGB(20,84,153);
    border-radius: 3px;
    z-index: 191!important;
}
.intensity4 {
    color: #fff;
    background-color: rgb(33,33,255);
    border: 1px solid RGB(20,20,153);
    border-radius: 3px;
    z-index: 192!important;
}
.intensity5 {
    color: #fff;
    background-color: rgb(50,150,120);
    border: 1px solid RGB(30,90,72);
    border-radius: 3px;
    z-index: 193!important;
}
.intensity6 {
    color: #000;
    background-color: rgb(250,230,100);
    border: 1px solid RGB(153,138,60);
    border-radius: 3px;
    z-index: 194!important;
}
.intensity7 {
    color: #000;
    background-color: rgb(255,170,0);
    border: 1px solid RGB(153,102,0);
    border-radius: 3px;
    z-index: 195!important;
}
.intensity8 {
    color: #fff;
    background-color: rgb(255,120,0);
    border: 1px solid RGB(153,72,0);
    border-radius: 3px;
    z-index: 196!important;
}
.intensity9 {
    color: #fff;
    background-color: rgb(230,0,0);
    border: 1px solid RGB(138,0,0);
    border-radius: 3px;
    z-index: 197!important;
}
.intensity10 {
    color: #fff;
    background-color: rgb(180,0,120);
    border: 1px solid RGB(108,0,72);
    border-radius: 3px;
    z-index: 198!important;
}
.intensity11 {
    color: #fff;
    background-color: rgb(170,0,204);
    border: 1px solid RGB(102,0,122);
    border-radius: 3px;
    z-index: 199!important;
}
.intensity12 {
    color: #fff;
    background-color: rgb(90,0,150);
    border: 1px solid #ff0;
    border-radius: 3px;
    z-index: 200!important;
}